package com.avaya.mgmt.smgr.webservice.jaxb.impl;

import java.util.Properties;

import com.avaya.mgmt.smgr.webservice.jaxb.util.UserMgmtClientUtil;

/**
 * 
 * @author
 * 
 */
public class LookupProcess extends AbstractProcess
{

	@Override
	public void processOepration(final Properties properties) throws Exception
	{
		System.out.println("Processing user search data...");
		final String queryUrl = UserMgmtClientUtil.createQuery(properties
				.getProperty("user.criteria"));
		System.out.println("Sending user search request to the server...");
		long l = System.currentTimeMillis();
		
		//for(int i=0; i< 100; i++) {
			final String result = webServiceClient.lookup(
					properties.getProperty("entity.type"), queryUrl);
			
			System.out.println("Lookup result  :   " + ((System.currentTimeMillis() - l)/1000)+ " Seconds \n\n" +result);
		//}
	}
}
